class EightGrid : RGrid2D
{
 protected:
   void IterateD1(int i, int j, float Increment);
   void IterateD2(int i, int j, float Increment);
   void CalcNode(int i, int j, float Increment);

 public:
   double **D1Diff;
   double **D2Diff;
   int **D1Connected;
   int **D2Connected;

   EightGrid(int Width, int Length, double CLengthSqu, double **Sources);
   ~EightGrid();
   double Iterate(float Increment);
   void PrintD1CurrTable();
   void PrintD2CurrTable();
   void PrintSegmentation();
   void PrintEdgesPostscript(const char *psfile);
};

